Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.build
Class TaskControlGen.Options

    java.lang.Object
      com.bea.wli.worklist.build.TaskControlGen.Options

Enclosing class:
  TaskControlGen

    public static class TaskControlGen.Options

extends Object

Options used to control the generation of the control interface Java source.

Field Summary
`String` | `hostAppRootDir` root directory of the J2EE EAR that contains the .task file (or the ear content directory of a J2EE EAR project in Workshop).
`String` | `interfaceName` interface name (optional).
`String` | `outputDir` directory to output generated control source (required)
`Writer` | `outputWriter` Output stream.
`String` | `packageName` package name of the generated source (optional).
`String` | `taskPlanFilename` file location of the .task file to compile (required)

Constructor Summary
`TaskControlGen.Options()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taskPlanFilename

    public String taskPlanFilename

  file location of the .task file to compile (required)

### hostAppRootDir

    public String hostAppRootDir

  root directory of the J2EE EAR that contains the .task file (or the ear content directory of a J2EE EAR project in Workshop). (optiona) This root is used to calculate a relative path for the task plan relative to the root of the EAR. This relative path in turn is used in the default calculation of the package name for the generated control interface file. If you specify the parent directory of the .task file as the hostAppRootDir, the control interface will be placed in the 'default' Java package. If not specified, the absolute path of the task plan is used (potentially in the calculation of the Java package name for the generated control interface).

### outputDir

    public String outputDir

  directory to output generated control source (required)

### outputWriter

    public Writer outputWriter

  Output stream. This is used only from an in-process Java client, and is mutually exclusive with outputDir.

### packageName

    public String packageName

  package name of the generated source (optional). If not specified, the package name is derived from the task plan path. The package is calculated by replacing ‘/’ in the path with ‘.’, removing spaces, and replacing invalid package characters with ‘X’.

### interfaceName

    public String interfaceName

  interface name (optional). If not specified, the interface name is derived from the task plan path. The control interface name is the taken from the last step in the task plan path, where spaces are removed, and invalid class name characters are replaced with ‘X’.

Constructor Detail

### TaskControlGen.Options

    public TaskControlGen.Options()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD